%define name xmms-Zon
%define rname Zon
%define version 0.04.1_beta2
%define release 8mdk	

Name:		%{name}
Summary:	OpenGL visualization plugin for xmms
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://choronzon.net/Code/Zon/
Source:		%{rname}-%{version}.tar.bz2
Patch:		Zon-makefile.patch.bz2
Requires:	xmms
Buildrequires:	xmms-devel libMesaglut-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Zon (pronounced like "zone") is a plugin for XMMS. 
It uses GL & GLUT, and will soon be ported to Winamp, as well. 

%prep

%setup -q -n %{rname}

%patch -p1

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_libdir/xmms/Visualization/
mkdir -p $RPM_BUILD_ROOT%_datadir/Zon
make INSTALL_DIR=$RPM_BUILD_ROOT/%_libdir/xmms/Visualization/ \
	TEXTURE_DIR=$RPM_BUILD_ROOT%_datadir/Zon install

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig -n %_libdir/xmms/Visualization

%postun
/sbin/ldconfig -n %_libdir/xmms/Visualization


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING 
%_libdir/xmms/Visualization/*
%_datadir/Zon


%changelog

* Sun Sep 14 2003 Michael Scherer <scherer.michael@free.fr> 0.04.1_beta2-8mdk 
- BuildRequires devel(libglut)

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.04.1_beta2-7mdk
- rebuild

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.04.1_beta2-6mdk
- buildrequires

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.04.1_beta2-5mdk
- rebuild

* Wed Jun 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.04.1_beta2-4mdk
- remove -fname-mangling-version-0 from CFLAGS

* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 0.04.1_beta2-3mdk
- rebuild

* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.04.1_beta2-2mdk
- fix makefile

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.04.1_beta2-1mdk
- updated to 0.04.1_beta2 that should work on cooker
- added buildrequires

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.04-1mdk
- updated to 0.04

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.03.1-1mdk
- new in contribs
